Skip to content

Lists the publication intents of one target, named by ?target_id, with what each requested, what the host was last observed to hold and its current state.

GET
/v1/m/gitpublish/intents
curl --request GET \
--url https://example.com/v1/m/gitpublish/intents \
--header 'Authorization: Bearer <token>'

Lists the publication intents of one target, named by ?target_id, with what each requested, what the host was last observed to hold and its current state.

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}